Beyond Inventor Wizard... The Community!

Autodesk Inventor en AutoCAD Forum

Hoe krijg ik een tekening  van Materiaal wat geschneden moet worden op papier met de schaal 1:1

Aantal maal bekeken: 34

Hierop reageren

Berichten in deze discussie

Dit kan je doen door je view 1:1 op je drawing te plaatsen.

Zelf doe ik dit nooit, maar maak ik een export naar een dxf van het face wat gesneden moet worden.

Hallo Robert

Bedankt voor je antwoord.

wil jij omschrijven hoe jij daar een dxf van maakt.

bvd. Erik

Ik gebruik hier iLogic voor, dit omdat ik ook wat met de bestandsnaam van de gemaakte dxf doe en zet wat variable goed van wat er wel en niet in de dxf moet komen.

Hier onder de iLogic routine

'----

Sub Main
DefaultChoice = True
FlatPatternDXF()
End Sub
Public Sub FlatPatternDXF()
Dim oDoc As PartDocument = ThisApplication.ActiveDocument
Dim oCompDef As SheetMetalComponentDefinition = oDoc.ComponentDefinition
If oCompDef.HasFlatPattern = False Then
oCompDef.Unfold
Else
oCompDef.FlatPattern.Edit
End If
Dim sOut As String
sOut = "FLAT PATTERN DXF?AcadVersion=2010" _
+ "&OuterProfileLayer=0&OuterProfilesLineType=37633&OuterProfilesColor=255;255;255&MergeProfilesIntoPolyline=True" _
+ "&InteriorProfilesLayer=0&InteriorProfilesLineType=37633&InteriorProfilesColor=255;255;255&MergeProfilesIntoPolyline=True" _
+ "&FeatureProfilesLayer=FeatureProfilesLayer&FeatureProfilesLayerLineType=37634&FeatureProfilesLayerColor=255;255;255" _
+ "&FeatureProfilesDownLayer=Engraving&FeatureProfilesDownLayerLineType=37633&FeatureProfilesDownLayerColor=255;255;0" _
+ "&Unconsumed Sketches=0;IV_UNCONSUMED_SKETCHES;Color=255,50,255" _
+ "&InvisibleLayers=IV_TANGENT;IV_ARC_CENTERS;IV_BEND_DOWN;FeatureProfilesLayer" _
+ "&BendUpLayer=IV_BEND&BendUpLayerLineType=37634&BendUpLayerColor=255;0;255" _
+ "&BendDownLayer=IV_BEND&BendDownLayerLineType=37634&BendDownLayerColor=255;0;255"
'+ "&FeatureProfilesUpLayer=Engraving&FeatureProfilesUpLayerLineType=37633&FeatureProfilesUpLayerColor=255;255;0"
oPath = ThisDoc.Path
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")

'get DXF target folder path
oFolder = oPath & "\DWG_PDF"

'Check for the DWG and PDF folder and create it if it does not exist
If Not System.IO.Directory.Exists(oFolder) Then
System.IO.Directory.CreateDirectory(oFolder)
End If

'Check if there is a revision
If oRevNum = "" Then
Underscore = ""
Else
Underscore = "_"
End If

'Set the DXF target file name
dxfName = oFolder & "\" & oFileName & Underscore & oRevNum & ".dxf"
oCompDef.DataIO.WriteDataToFile( sOut, dxfName)
Dim oSMDef As SheetMetalComponentDefinition = oDoc.ComponentDefinition
oSMDef.FlatPattern.ExitEdit
End Sub

'----

RSS

Interessante links

Word Fan!

Inventor Wizard Cartoons

Video's

  • Video's toevoegen
  • Alles weergeven

© 2017   Gemaakt door Stefaan Boel.   Verzorgd door

Banners  |  Een probleem rapporteren?  |  Algemene voorwaarden